Ubuntu

CIFS is slow to read from, and choppy to write to, compared to smbfs

Reported by Chris Moore on 2006-05-22
64
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I recently started using an old USB1.1 network interface with dapper, and have been having problems reading files from a remote Windows machine on the LAN. I can download packages from the ubuntu repositories at speeds up to 600Kb/s, but from the local cifs mount I am only getting something like 100Kb/s.

Also, when I try to copy a large file to a cifs mount, the system starts running very slowly, even the mouse pointer keeps getting 'stuck' for a few seconds at a time.

I would like to continue using cifs, since it works with large files better than smbfs, but it's currently not very usable.

Using 'smbfs' instead of 'cifs' to mount the remote Windows share fixes both of these problems, and gets my something in the region of 700Kb/s in both directions, which is approaching what I would expect to be able to achieve with a USB1.1 interface.

The 'smbfs' mount looks like this:
  //192.168.1.12/d on /mnt/breezy/home/chris/smb/server/d type smbfs (rw)

The 'cifs' mount looks like this:
  //192.168.1.12/d on /mnt/breezy/home/chris/smb/server/d type cifs (rw,mand)

I can't find any documentation for what the 'mand' option does, but I didn't specify it when mounting.

I ran 4 tests, both reading and writing a large file using both smbfs and cifs. Here's what happened:

1. reading from smbfs: reads a steady 700Kb/s (14M in 20s)

2. writing to smbfs: writes around 700Kb/s (14M in 20s)

3. reading from cifs: takes a couple of seconds to read anything at all, then reads at about 100Kb/s (2.2M in 20s)

4. writing to cifs: starts very fast, but then system gets choppy, the mouse pointer freezes regularly. note the 8 second lock up from 23:52:27 to 23:52:35. After killing the 'cp' command, it doesn't die for a long time, output is still going on - some buffer is being flushed to the network I guess. Writes around 700Kb/s on average.

Here are transcripts of the tests I ran:

  .------------------------------------------------------------------------
  | 1. reading from smbfs
  `------------------------------------------------------------------------

$ sudo mount -t smbfs -o password=,uid=chris //192.168.1.12/d ~/smb/server/d
$ cd /tmp/tmp; /bin/rm -f local/dest; /bin/cp -f remote/source local/dest & while :; do sleep 1; echo $(date; ls -lh local/dest); done
[1] 25921
Mon May 22 23:56:54 CEST 2006 -rwxr-xr-x 1 chris chris 512K May 22 23:56 local/dest
Mon May 22 23:56:55 CEST 2006 -rwxr-xr-x 1 chris chris 1.2M May 22 23:56 local/dest
Mon May 22 23:56:56 CEST 2006 -rwxr-xr-x 1 chris chris 1.8M May 22 23:56 local/dest
Mon May 22 23:56:57 CEST 2006 -rwxr-xr-x 1 chris chris 2.5M May 22 23:56 local/dest
Mon May 22 23:56:58 CEST 2006 -rwxr-xr-x 1 chris chris 3.2M May 22 23:56 local/dest
Mon May 22 23:57:00 CEST 2006 -rwxr-xr-x 1 chris chris 3.8M May 22 23:56 local/dest
Mon May 22 23:57:01 CEST 2006 -rwxr-xr-x 1 chris chris 4.5M May 22 23:57 local/dest
Mon May 22 23:57:02 CEST 2006 -rwxr-xr-x 1 chris chris 5.2M May 22 23:57 local/dest
Mon May 22 23:57:03 CEST 2006 -rwxr-xr-x 1 chris chris 5.8M May 22 23:57 local/dest
Mon May 22 23:57:04 CEST 2006 -rwxr-xr-x 1 chris chris 6.5M May 22 23:57 local/dest
Mon May 22 23:57:05 CEST 2006 -rwxr-xr-x 1 chris chris 7.2M May 22 23:57 local/dest
Mon May 22 23:57:06 CEST 2006 -rwxr-xr-x 1 chris chris 7.8M May 22 23:57 local/dest
Mon May 22 23:57:07 CEST 2006 -rwxr-xr-x 1 chris chris 8.4M May 22 23:57 local/dest
Mon May 22 23:57:08 CEST 2006 -rwxr-xr-x 1 chris chris 9.0M May 22 23:57 local/dest
Mon May 22 23:57:09 CEST 2006 -rwxr-xr-x 1 chris chris 9.8M May 22 23:57 local/dest
Mon May 22 23:57:10 CEST 2006 -rwxr-xr-x 1 chris chris 11M May 22 23:57 local/dest
Mon May 22 23:57:11 CEST 2006 -rwxr-xr-x 1 chris chris 11M May 22 23:57 local/dest
Mon May 22 23:57:12 CEST 2006 -rwxr-xr-x 1 chris chris 12M May 22 23:57 local/dest
Mon May 22 23:57:13 CEST 2006 -rwxr-xr-x 1 chris chris 13M May 22 23:57 local/dest
Mon May 22 23:57:14 CEST 2006 -rwxr-xr-x 1 chris chris 13M May 22 23:57 local/dest
Mon May 22 23:57:15 CEST 2006 -rwxr-xr-x 1 chris chris 14M May 22 23:57 local/dest
Mon May 22 23:57:16 CEST 2006 -rwxr-xr-x 1 chris chris 15M May 22 23:57 local/dest
Mon May 22 23:57:17 CEST 2006 -rwxr-xr-x 1 chris chris 15M May 22 23:57 local/dest
Mon May 22 23:57:18 CEST 2006 -rwxr-xr-x 1 chris chris 16M May 22 23:57 local/dest
Mon May 22 23:57:19 CEST 2006 -rwxr-xr-x 1 chris chris 17M May 22 23:57 local/dest
Mon May 22 23:57:20 CEST 2006 -rwxr-xr-x 1 chris chris 17M May 22 23:57 local/dest
Mon May 22 23:57:21 CEST 2006 -rwxr-xr-x 1 chris chris 18M May 22 23:57 local/dest
Mon May 22 23:57:22 CEST 2006 -rwxr-xr-x 1 chris chris 19M May 22 23:57 local/dest

$ kill %
$ umount ~/smb/server/d
[1]+ Terminated /bin/cp -f remote/source local/dest

  .------------------------------------------------------------------------
  | 2. writing to smbfs
  `------------------------------------------------------------------------

$ sudo mount -t smbfs -o password=,uid=chris //192.168.1.12/d ~/smb/server/d
$ cd /tmp/tmp; /bin/rm -f remote/dest; /bin/cp -f local/source remote/dest & while :; do sleep 1; echo $(date; ls -lh remote/dest); done
[1] 25714
Mon May 22 23:55:21 CEST 2006 -rwxr-xr-x 1 chris root 636K May 22 23:55 remote/dest
Mon May 22 23:55:22 CEST 2006 -rwxr-xr-x 1 chris root 1.3M May 22 23:55 remote/dest
Mon May 22 23:55:23 CEST 2006 -rwxr-xr-x 1 chris root 2.0M May 22 23:55 remote/dest
Mon May 22 23:55:24 CEST 2006 -rwxr-xr-x 1 chris root 2.7M May 22 23:55 remote/dest
Mon May 22 23:55:25 CEST 2006 -rwxr-xr-x 1 chris root 3.3M May 22 23:55 remote/dest
Mon May 22 23:55:26 CEST 2006 -rwxr-xr-x 1 chris root 4.0M May 22 23:55 remote/dest
Mon May 22 23:55:28 CEST 2006 -rwxr-xr-x 1 chris root 4.7M May 22 23:55 remote/dest
Mon May 22 23:55:29 CEST 2006 -rwxr-xr-x 1 chris root 5.3M May 22 23:55 remote/dest
Mon May 22 23:55:30 CEST 2006 -rwxr-xr-x 1 chris root 6.0M May 22 23:55 remote/dest
Mon May 22 23:55:31 CEST 2006 -rwxr-xr-x 1 chris root 6.6M May 22 23:55 remote/dest
Mon May 22 23:55:32 CEST 2006 -rwxr-xr-x 1 chris root 7.3M May 22 23:55 remote/dest
Mon May 22 23:55:33 CEST 2006 -rwxr-xr-x 1 chris root 8.0M May 22 23:55 remote/dest
Mon May 22 23:55:34 CEST 2006 -rwxr-xr-x 1 chris root 8.6M May 22 23:55 remote/dest
Mon May 22 23:55:35 CEST 2006 -rwxr-xr-x 1 chris root 9.3M May 22 23:55 remote/dest
Mon May 22 23:55:36 CEST 2006 -rwxr-xr-x 1 chris root 10M May 22 23:55 remote/dest
Mon May 22 23:55:37 CEST 2006 -rwxr-xr-x 1 chris root 11M May 22 23:55 remote/dest
Mon May 22 23:55:38 CEST 2006 -rwxr-xr-x 1 chris root 12M May 22 23:55 remote/dest
Mon May 22 23:55:39 CEST 2006 -rwxr-xr-x 1 chris root 12M May 22 23:55 remote/dest
Mon May 22 23:55:40 CEST 2006 -rwxr-xr-x 1 chris root 13M May 22 23:55 remote/dest
Mon May 22 23:55:41 CEST 2006 -rwxr-xr-x 1 chris root 14M May 22 23:55 remote/dest

$ kill %
[1]+ Terminated /bin/cp -f local/source remote/dest
$ umount ~/smb/server/d

  .------------------------------------------------------------------------
  | 3. reading from cifs
  `------------------------------------------------------------------------

$ sudo mount -t cifs -o password=,uid=chris //192.168.1.12/d ~/smb/server/d
$ cd /tmp/tmp; /bin/rm -f local/dest; /bin/cp -f remote/source local/dest & while :; do sleep 1; echo $(date; ls -lh local/dest); done
[1] 25827
Mon May 22 23:56:18 CEST 2006 -rwxr-Sr-t 1 chris chris 0 May 22 23:56 local/dest
Mon May 22 23:56:19 CEST 2006 -rwxr-Sr-t 1 chris chris 0 May 22 23:56 local/dest
Mon May 22 23:56:20 CEST 2006 -rwxr-Sr-t 1 chris chris 128K May 22 23:56 local/dest
Mon May 22 23:56:21 CEST 2006 -rwxr-Sr-t 1 chris chris 256K May 22 23:56 local/dest
Mon May 22 23:56:22 CEST 2006 -rwxr-Sr-t 1 chris chris 384K May 22 23:56 local/dest
Mon May 22 23:56:23 CEST 2006 -rwxr-Sr-t 1 chris chris 384K May 22 23:56 local/dest
Mon May 22 23:56:24 CEST 2006 -rwxr-Sr-t 1 chris chris 512K May 22 23:56 local/dest
Mon May 22 23:56:25 CEST 2006 -rwxr-Sr-t 1 chris chris 640K May 22 23:56 local/dest
Mon May 22 23:56:26 CEST 2006 -rwxr-Sr-t 1 chris chris 768K May 22 23:56 local/dest
Mon May 22 23:56:27 CEST 2006 -rwxr-Sr-t 1 chris chris 896K May 22 23:56 local/dest
Mon May 22 23:56:28 CEST 2006 -rwxr-Sr-t 1 chris chris 1.0M May 22 23:56 local/dest
Mon May 22 23:56:29 CEST 2006 -rwxr-Sr-t 1 chris chris 1.2M May 22 23:56 local/dest
Mon May 22 23:56:30 CEST 2006 -rwxr-Sr-t 1 chris chris 1.3M May 22 23:56 local/dest
Mon May 22 23:56:31 CEST 2006 -rwxr-Sr-t 1 chris chris 1.4M May 22 23:56 local/dest
Mon May 22 23:56:32 CEST 2006 -rwxr-Sr-t 1 chris chris 1.4M May 22 23:56 local/dest
Mon May 22 23:56:33 CEST 2006 -rwxr-Sr-t 1 chris chris 1.5M May 22 23:56 local/dest
Mon May 22 23:56:34 CEST 2006 -rwxr-Sr-t 1 chris chris 1.7M May 22 23:56 local/dest
Mon May 22 23:56:35 CEST 2006 -rwxr-Sr-t 1 chris chris 1.8M May 22 23:56 local/dest
Mon May 22 23:56:36 CEST 2006 -rwxr-Sr-t 1 chris chris 1.9M May 22 23:56 local/dest
Mon May 22 23:56:37 CEST 2006 -rwxr-Sr-t 1 chris chris 2.0M May 22 23:56 local/dest
Mon May 22 23:56:38 CEST 2006 -rwxr-Sr-t 1 chris chris 2.2M May 22 23:56 local/dest

$ kill %
$ umount ~/smb/server/d
[1]+ Terminated /bin/cp -f remote/source local/dest

  .------------------------------------------------------------------------
  | 4. writing to cifs
  `------------------------------------------------------------------------

$ sudo mount -t cifs -o password=,uid=chris //192.168.1.12/d ~/smb/server/d
$ cd /tmp/tmp; /bin/rm -f remote/dest; /bin/cp -f local/source remote/dest & while :; do sleep 1; echo $(date; ls -lh remote/dest); done
[1] 25411
Mon May 22 23:52:10 CEST 2006 -rw-r--r-- 1 chris root 13M May 22 23:52 remote/dest
Mon May 22 23:52:11 CEST 2006 -rw-r--r-- 1 chris root 22M May 22 23:52 remote/dest
Mon May 22 23:52:12 CEST 2006 -rw-r--r-- 1 chris root 32M May 22 23:52 remote/dest
Mon May 22 23:52:13 CEST 2006 -rw-r--r-- 1 chris root 43M May 22 23:52 remote/dest
Mon May 22 23:52:14 CEST 2006 -rw-r--r-- 1 chris root 53M May 22 23:52 remote/dest
Mon May 22 23:52:15 CEST 2006 -rw-r--r-- 1 chris root 55M May 22 23:52 remote/dest
Mon May 22 23:52:16 CEST 2006 -rw-r--r-- 1 chris root 59M May 22 23:52 remote/dest
Mon May 22 23:52:17 CEST 2006 -rw-r--r-- 1 chris root 65M May 22 23:52 remote/dest
Mon May 22 23:52:18 CEST 2006 -rw-r--r-- 1 chris root 69M May 22 23:52 remote/dest
Mon May 22 23:52:19 CEST 2006 -rw-r--r-- 1 chris root 75M May 22 23:52 remote/dest
Mon May 22 23:52:20 CEST 2006 -rw-r--r-- 1 chris root 77M May 22 23:52 remote/dest
Mon May 22 23:52:21 CEST 2006 -rw-r--r-- 1 chris root 81M May 22 23:52 remote/dest
Mon May 22 23:52:23 CEST 2006 -rw-r--r-- 1 chris root 81M May 22 23:52 remote/dest
Mon May 22 23:52:24 CEST 2006 -rw-r--r-- 1 chris root 81M May 22 23:52 remote/dest
Mon May 22 23:52:25 CEST 2006 -rw-r--r-- 1 chris root 81M May 22 23:52 remote/dest
Mon May 22 23:52:26 CEST 2006 -rw-r--r-- 1 chris root 83M May 22 23:52 remote/dest
Mon May 22 23:52:27 CEST 2006 -rw-r--r-- 1 chris root 86M May 22 23:52 remote/dest
Mon May 22 23:52:35 CEST 2006 -rw-r--r-- 1 chris root 86M May 22 23:52 remote/dest
Mon May 22 23:52:36 CEST 2006 -rw-r--r-- 1 chris root 88M May 22 23:52 remote/dest
Mon May 22 23:52:37 CEST 2006 -rw-r--r-- 1 chris root 89M May 22 23:52 remote/dest
Mon May 22 23:52:40 CEST 2006 -rw-r--r-- 1 chris root 90M May 22 23:52 remote/dest
Mon May 22 23:52:41 CEST 2006 -rw-r--r-- 1 chris root 91M May 22 23:52 remote/dest
Mon May 22 23:52:42 CEST 2006 -rw-r--r-- 1 chris root 92M May 22 23:52 remote/dest
Mon May 22 23:52:45 CEST 2006 -rw-r--r-- 1 chris root 93M May 22 23:52 remote/dest
Mon May 22 23:52:46 CEST 2006 -rw-r--r-- 1 chris root 94M May 22 23:52 remote/dest
Mon May 22 23:52:47 CEST 2006 -rw-r--r-- 1 chris root 94M May 22 23:52 remote/dest
Mon May 22 23:52:48 CEST 2006 -rw-r--r-- 1 chris root 95M May 22 23:52 remote/dest
Mon May 22 23:52:49 CEST 2006 -rw-r--r-- 1 chris root 96M May 22 23:52 remote/dest
Mon May 22 23:52:50 CEST 2006 -rw-r--r-- 1 chris root 96M May 22 23:52 remote/dest
Mon May 22 23:52:51 CEST 2006 -rw-r--r-- 1 chris root 97M May 22 23:52 remote/dest
Mon May 22 23:52:52 CEST 2006 -rw-r--r-- 1 chris root 97M May 22 23:52 remote/dest
Mon May 22 23:52:54 CEST 2006 -rw-r--r-- 1 chris root 98M May 22 23:52 remote/dest
Mon May 22 23:52:56 CEST 2006 -rw-r--r-- 1 chris root 99M May 22 23:52 remote/dest
Mon May 22 23:52:57 CEST 2006 -rw-r--r-- 1 chris root 99M May 22 23:52 remote/dest
Mon May 22 23:52:58 CEST 2006 -rw-r--r-- 1 chris root 101M May 22 23:52 remote/dest
Mon May 22 23:52:59 CEST 2006 -rw-r--r-- 1 chris root 101M May 22 23:52 remote/dest
Mon May 22 23:53:00 CEST 2006 -rw-r--r-- 1 chris root 102M May 22 23:53 remote/dest
Mon May 22 23:53:02 CEST 2006 -rw-r--r-- 1 chris root 102M May 22 23:53 remote/dest
Mon May 22 23:53:03 CEST 2006 -rw-r--r-- 1 chris root 103M May 22 23:53 remote/dest

$ kill %
$ umount ~/smb/server/d
unmount error 16 = Device or resource busy
Refer to the umount.cifs(8) manual page (man 8 umount.cifs)
unmount error 16 = Device or resource busy
Refer to the umount.cifs(8) manual page (man 8 umount.cifs)
$ while :; do echo $(date; ifconfig eth1 | grep bytes); sleep 1; done
Mon May 22 23:54:23 CEST 2006 RX bytes:2019288574 (1.8 GiB) TX bytes:3650860013 (3.4 GiB)
Mon May 22 23:54:24 CEST 2006 RX bytes:2019315071 (1.8 GiB) TX bytes:3651600385 (3.4 GiB)
Mon May 22 23:54:25 CEST 2006 RX bytes:2019341524 (1.8 GiB) TX bytes:3652343259 (3.4 GiB)
Mon May 22 23:54:26 CEST 2006 RX bytes:2019367862 (1.8 GiB) TX bytes:3653084932 (3.4 GiB)
Mon May 22 23:54:27 CEST 2006 RX bytes:2019393942 (1.8 GiB) TX bytes:3653813531 (3.4 GiB)
Mon May 22 23:54:28 CEST 2006 RX bytes:2019420538 (1.8 GiB) TX bytes:3654561080 (3.4 GiB)
Mon May 22 23:54:29 CEST 2006 RX bytes:2019447134 (1.8 GiB) TX bytes:3655305601 (3.4 GiB)
Mon May 22 23:54:30 CEST 2006 RX bytes:2019473575 (1.8 GiB) TX bytes:3656048788 (3.4 GiB)
Mon May 22 23:54:31 CEST 2006 RX bytes:2019500080 (1.8 GiB) TX bytes:3656793176 (3.4 GiB)
Mon May 22 23:54:33 CEST 2006 RX bytes:2019526573 (1.8 GiB) TX bytes:3657537877 (3.4 GiB)
Mon May 22 23:54:34 CEST 2006 RX bytes:2019553096 (1.8 GiB) TX bytes:3658280863 (3.4 GiB)
Mon May 22 23:54:35 CEST 2006 RX bytes:2019579492 (1.8 GiB) TX bytes:3659024216 (3.4 GiB)
Mon May 22 23:54:36 CEST 2006 RX bytes:2019605842 (1.8 GiB) TX bytes:3659764242 (3.4 GiB)
Mon May 22 23:54:37 CEST 2006 RX bytes:2019632343 (1.8 GiB) TX bytes:3660505969 (3.4 GiB)
Mon May 22 23:54:38 CEST 2006 RX bytes:2019658848 (1.8 GiB) TX bytes:3661251871 (3.4 GiB)
Mon May 22 23:54:39 CEST 2006 RX bytes:2019685198 (1.8 GiB) TX bytes:3661993411 (3.4 GiB)
Mon May 22 23:54:40 CEST 2006 RX bytes:2019711573 (1.8 GiB) TX bytes:3662732514 (3.4 GiB)
[1]+ Terminated /bin/cp -f local/source remote/dest
Mon May 22 23:54:41 CEST 2006 RX bytes:2019727566 (1.8 GiB) TX bytes:3663176101 (3.4 GiB)
Mon May 22 23:54:42 CEST 2006 RX bytes:2019727657 (1.8 GiB) TX bytes:3663176234 (3.4 GiB)
Mon May 22 23:54:43 CEST 2006 RX bytes:2019727818 (1.8 GiB) TX bytes:3663176479 (3.4 GiB)
Mon May 22 23:54:44 CEST 2006 RX bytes:2019727909 (1.8 GiB) TX bytes:3663176612 (3.4 GiB)
Mon May 22 23:54:45 CEST 2006 RX bytes:2019727909 (1.8 GiB) TX bytes:3663176612 (3.4 GiB)

$ umount ~/smb/server/d

---
ApportVersion: 2.6.1-0ubuntu10
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: chris 2830 F.... xfce4-volumed
                      chris 2865 F.... pulseaudio
 /dev/snd/pcmC0D0c: chris 2865 F...m pulseaudio
DistroRelease: Ubuntu 12.10
HibernationDevice: RESUME=UUID=eeae4971-2548-4df3-9c9a-d3a81349e5f4
InstallationDate: Installed on 2012-07-23 (267 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
Lsusb:
 Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 0402:7675 ALi Corp.
MachineType: Acer Aspire 5749
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.5.0-26-generic root=UUID=fca9146f-1235-48ea-9d73-c5ca0fc43aaf ro quiet splash acpi_backlight=vendor vt.handoff=7
ProcVersionSignature: Ubuntu 3.5.0-26.42-generic 3.5.7.6
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-26-generic N/A
 linux-backports-modules-3.5.0-26-generic N/A
 linux-firmware 1.95
Tags: quantal
Uname: Linux 3.5.0-26-generic x86_64
UpgradeStatus: Upgraded to quantal on 2012-10-23 (176 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 11/29/2011
dmi.bios.vendor: INSYDE
dmi.bios.version: V1.08
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: HMA51_HR
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvrV1.08:bd11/29/2011:svnAcer:pnAspire5749:pvrV1.08:rvnAcer:rnHMA51_HR:rvrBaseBoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: Aspire 5749
dmi.product.version: V1.08
dmi.sys.vendor: Acer

Makes Amarok unusable with my music collection on Windows file server. Another thing to notice in my case is that when you copy 2 files from a remote partition simultaneously, the speeds are fine (each gets 10-15 MB/sec), but as soon as you stop one, the second gets slow (100 KB/sec). I'm seeing this in the traffic monitor and also by the file sizes.

Used to work all right in Edgy.

analogue (analogue-yahoo) wrote :

Ditto. Just setup home network with gigabit ethernet and everything flies except for samba. Using realtek driver w. linksys card and trendnet card. Very frustrating trying to figure out why samba performance is so slow. Simultaneous file transfers over samba seem to speed up significantly but when it is just one file, the throughput is at its lowest.

alex108 (alex01-malyshev) wrote :

There's perhaps a similar bug report about samba. In both cases I believe the slowdown happens because of the way samba interacts with ethernet drivers. https://bugs.launchpad.net/ubuntu/+source/samba/+bug/84782

analogue - realtek, linksys and trendnet perhaps using realtek chipset/driver, which seems to be affected the most. Also I think some Marvell-Yukon adapters are affected (at least the one you find built into NF4 motherboards).

Alan (mrintegrity) on 2008-01-06
Changed in samba:
status: New → Confirmed
Huygens (huygens-25) wrote :

I also had the experience yesterday. I was transfering a 6.5GB file (VM image) from my MacBook (using Mac OS X 10.4 Tiger) to my PC (using Ubuntu 8.04 Hardy Heron). I was using the wireless connection (54Mb/s rt61pci), so a theorical 6.4MB/s.
Such a transfer should in theory take about 17 min. In real, I would expect somewhere between 20 to 30 min. However, it took more than 4 hours!! The speed was about 0.45MB/s!!! That's almost as slow as my internet connection!

Samba logs does not show anything wrong. Nothing was wrote in the /var/log/messages file neither. I do not know where to start to give more information on this particular bug.

Ben Hodgetts (enverex) wrote :

Thought it may be worth adding, I'm using Gentoo with a Realtek Gigabit onboard adapter and getting ~3MB/s throughput too (when transfering to a Samba share).

Jean Roberto Souza (sjeanr) wrote :

I was making one transfer now, from my Ubuntu 8.04 to my XP and noticed the slow transfer. Here I am reading this bug and reporting that it still exist. I'm looking for a solution but until now I only found bug reports.

Thierry Carrez (ttx) wrote :

Really seems to be a realtek driver problem:
https://bugzilla.samba.org/show_bug.cgi?id=4889

Anyone with a RTL81xx chipset reproducing it in intrepid or jaunty ?

Bob Busters (dolman23) wrote :

ubuntu 9.04 beta
nVidia Corporation MCP51 Ethernet Controller (rev a3)
im getting slow speeds over samba like 68kB/s. it works ok in intrepid.

Thierry Carrez (ttx) wrote :

Bob: your issue seems different: this bug is about bad performance in cifs compared to smbfs (and seems related to RTL81xx chips). Your bug is about a performance regression in CIFS from intrepid to Jaunty. Could you please file a separate bug so that it can be properly investigated ?
Thanks in advance.

Jan Kovacik (grafik-honza) wrote :

I have Interpid box with RTL8169 chipped gigabit NIC from REPOTEC. When I am copying from samba share to XP machine transfer speed is about 38MB/s, but when I try to copy file TO samba share, the transfer speed is fluctuating between 500 KB and 8 MB/s.

However, I am able to copy four files simultaeously from my XP machine with Raid 0 disks and they are being pumped to samba in same speed, higher than one file alone :) , stable about 9MB/s It is interesting bug and also long lasting I see.

So there is no other option than buy another crappy NIC? - i googled a whole world to find any solution, but I found nothing :(

Thierry Carrez (ttx) on 2009-06-15
summary: - cifs is slow to read from, and choppy to write to, compared to smbfs
+ RTL81xx cards: CIFS is slow to read from, and choppy to write to,
+ compared to smbfs

My solution: threw out all my cheap Realtek RTL8xxx nics and replaced with Intel GBe nics. Costs more, but worth it for properly written linux drivers and blazing fast speed.

Chuck Short (zulcss) on 2010-03-10
Changed in samba (Ubuntu):
status: Confirmed → Triaged
Chuck Short (zulcss) on 2010-03-10
affects: samba (Ubuntu) → linux (Ubuntu)
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

Laurent Dinclaux (dreadlox) wrote :

Bug is still there in Natty. It is very slow to navigate into a samba share three.
Tell me what logs to provide to halp solve that bug

martin suc (martin-suc) wrote :

same problem in raring 13.04 (development branch)
real speed ~700kbytes/s
on 1 Gigabit LAN
between ubuntu 13.04 OS instances.

Alan (mrintegrity) on 2013-04-17
Changed in linux (Ubuntu):
status: Triaged → New

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 46081

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected quantal
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

martin suc (martin-suc) on 2013-04-18
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Chris Moore, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

summary: - RTL81xx cards: CIFS is slow to read from, and choppy to write to,
- compared to smbfs
+ CIFS is slow to read from, and choppy to write to, compared to smbfs
tags: added: latest-bios-v1.08 needs-upstream-testing
tags: added: dapper
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Chris Moore (dooglus) wrote :

Comment #15 suggests it's still an issue in 13.04.

How about we leave it another 7 years and see what happens?

Tiedemate (bjoerntiedemann) wrote :

Still an issue for me on 13.10 with Atheros AR9285, reading from my SMB-NAS works fine but during writes, the whole system comes to a crawl, mouse is very choppy, enormous lags in doing anything. Very frustrating.

Tiedemate, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.